> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List brokerage firms on tenant

> Returns a paginated list of brokerage firms in the current tenant. Results may vary by user permissions.



## OpenAPI

````yaml /openapi.json get /brokerage-firms
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms:
    get:
      tags:
        - brokerage-firms
      summary: List brokerage firms on tenant
      description: >-
        Returns a paginated list of brokerage firms in the current tenant.
        Results may vary by user permissions.
      operationId: BrokerageFirmController_listBrokerageFirms
      parameters:
        - name: pageInfo
          required: false
          in: query
          description: the page info
          schema:
            $ref: '#/components/schemas/PageInfo'
        - name: order
          required: false
          in: query
          description: the sort options
          schema:
            $ref: '#/components/schemas/OrderDto'
        - name: parentBrokerageFirmId
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Paginated list of brokerage firms.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBrokerageFirmsOutput'
components:
  schemas:
    PageInfo:
      type: object
      properties:
        count:
          type: number
          description: the number of items to return
          default: 10
        page:
          type: number
          description: the page to retrieve
          default: 1
    OrderDto:
      type: object
      properties:
        by:
          type: string
          description: the sort key
        direction:
          type: string
          description: the sort direction
      required:
        - by
        - direction
    ListBrokerageFirmsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/BrokerageFirmDto'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    BrokerageFirmDto:
      type: object
      properties:
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        type:
          type: string
          description: Entity type
        firmType:
          type: string
          description: Brokerage firm type
          enum:
            - WHOLESALE
            - RETAIL
            - TEAM
        id:
          type: string
          description: Brokerage firm id
        parentBrokerageFirmId:
          type: string
          description: Brokerage firm id
        companyInfo:
          description: Company info
          allOf:
            - $ref: '#/components/schemas/FormattedSirenDataDto'
        createdAt:
          format: date-time
          type: string
          description: Creation date of brokerage firm
        tenantId:
          type: string
          description: Tenant id
        preferredPaymentMethodId:
          type: string
      required:
        - type
        - firmType
        - id
        - companyInfo
        - createdAt
        - tenantId
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    CustomFieldDto:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
      required:
        - key
        - value
    FormattedSirenDataDto:
      type: object
      properties:
        siren:
          type: string
          description: 'Optional: Siren number'
        siret:
          type: string
          description: Siret number
        nafCode:
          type: string
          description: 'Optional: Naf code'
        nafLabel:
          type: string
          description: 'Optional: Naf label'
        name:
          type: string
          description: 'Optional: Company name'
        creationDate:
          type: string
          description: 'Optional: Creation date'
        location:
          description: 'Optional: Location'
          allOf:
            - $ref: '#/components/schemas/LocationDto'
        legalStatus:
          description: 'Optional: legal status by level'
          allOf:
            - $ref: '#/components/schemas/LegalStatusDto'
        headcount:
          type: string
          description: 'Optional: Number of employees'
      required:
        - siret
    LocationDto:
      type: object
      properties:
        address:
          type: string
          description: Address
        postCode:
          type: string
          description: Post code
        city:
          type: string
          description: City
        country:
          type: string
          description: Country
      required:
        - city
        - country
    LegalStatusDto:
      type: object
      properties:
        '1':
          type: string
          description: First legal status
        '2':
          type: string
          description: Second legal status
        '3':
          type: string
          description: Third legal status
      required:
        - '1'
        - '2'
        - '3'

````